/// <reference path="../Forest.ts" />
/// <reference path="Maze/People/MinotaurGuard.ts" />
module Forest{
    export let MazeEntrance = new RoomRandom("Ancient Crypt", false, true);
    export let MazeCoordinates = Forest.rnc.generate(-3,0, 3, 6);

    MazeEntrance.description = new Say(
        "These fields are clear of trees, but you can see what appears to be a small rock crypt with two stone pillars to the sides of its entrance. ",
        "The crypt appears ancient: there is moss growing on it and most of the rocks that make it are chipped or broken. ",
        "Yet, it stands. There is a writing on the slab on top of it, but between the moss and the weird symbols used to write it, you can't imagine what it means."
    );
    MazeEntrance.backgroundImage = "roomCrypt";

    export let MazeMinotaurGuard = new MinotaurGuard();

    MazeEntrance.place(MazeMinotaurGuard);
}
Forest.region.place(Forest.MazeEntrance);

Forest.MazeEntrance.trickyCode = (options : TrickyOptions) => {
    let blocked = !options.map.isFree(Forest.MazeCoordinates[0], Forest.MazeCoordinates[1]);
    while (blocked) {
        Forest.MazeCoordinates[0] -= 1;
        blocked = !options.map.isFree(Forest.MazeCoordinates[0], Forest.MazeCoordinates[1]);
    }
    return options.x == Forest.MazeCoordinates[0] && options.y == Forest.MazeCoordinates[1];
};